Sehat_COVID-19/urls.py
from django.contrib import admin
from django.urls import include, path
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('hospital/', include('hospital.urls')),
    path('datars/', include('datars.urls')),
    path('pasiennonrawat/', include('pasien_nonrawat.urls')),
    path('pasienrawat/', include('pasien_rawat.urls')),
    path('', include('authentications.urls')),
    path('', include('django.contrib.auth.urls'))

] + static(settings.MEDIA_URL, document_root = settings.MEDIA_ROOT)

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='main-home'),
    path('save',views.save),
    path('testiform', views.testiform, name='testiform'),
    path('testiform_acc', views.testiform_acc, name='testiform_acc')
    
]

main/models.py
from django.db import models
from django.db.models import Model 

# Create your models here.
class Testimoni(models.Model):
    display_name = models.CharField(max_length = 35, default = "Anonymous")
    content = models.TextField(max_length = 500)

main/forms.py
from django import forms
from .models import Testimoni

class Form_Testimoni(forms.ModelForm):
    class Meta:
        model = Testimoni
        fields = ['display_name','content']
        
    error_messages = {
        'required' : 'This Field is Required'
    }
    input_attrs = {
        'type' : 'text',
        'placeholder' : 'Nama',
        'class' : 'form-control'
    }
    input_attrs1 = {
        'type' : 'text',
        'placeholder' : 'Kesan',
        'class' : 'form-control',
    }

    display_name = forms.CharField(label='', required=True, max_length=35, widget=forms.TextInput(attrs=input_attrs))
    content = forms.CharField(label='', required=True, max_length = 500, widget=forms.Textarea(attrs=input_attrs1))

main/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from .forms import Form_Testimoni
from .models import Testimoni
from django.contrib.auth.decorators import login_required
from authentications.decorators import allowed

def home(request):
    response = {'input_form':Form_Testimoni}
    testimonis = Testimoni.objects.all()
    response['testimonis'] = testimonis
    return render(request, 'main/home.html', response)

@login_required(login_url='/login')
@allowed(roles=['Patient'])
def testiform(request):
    user_data = {
        'display_name' : request.user.username,
        'content' : ""
    }
    response = {
        'input_form' : Form_Testimoni(initial = user_data)
    }
    return render(request, 'main/testiform.html', response)

@login_required(login_url='/login')
@allowed(roles=['Patient'])
def testiform_acc(request):
     return render(request, 'main/testiform_acc.html')

@login_required(login_url='/login')
@allowed(roles=['Patient'])
def save(request):
    if(request.method == 'POST'):
        form = Form_Testimoni(request.POST or None)
        if (form.is_valid):
            form.save()
            return HttpResponseRedirect('/testiform_acc')
        else:
            return HttpResponseRedirect('/testiform')
    else:
        return HttpResponseRedirect('')

main/templates/main/home.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
  <title>Sehat Covid-19</title>
  <link rel="stylesheet" type="text/css" href="{% static 'main/style.css' %}" />
{% endblock meta %}

{% block content %}
    <div class="d-flex flex-column justify-content-center align-items-center">
        <div class="d-flex flex-column justify-content-center align-items-center">
            <img id = "header" class = "full-size absolute-position depth-1" src="{% static 'main/img/halfcircle.png'%}" style = "top: -15">
            <img id = "header-logo" src="{% static 'main/img/homepic.png' %}" alt = "Header logo">
            <h1 id = "nama-produk" class = "montserrat-bold">Sehat COVID-19</h1>
            <h3 id = "deskripsi-produk" class = "montserrat-regular margin-top-2 text-center">Dikembangkan oleh<br>beberapa mahasiswa Fakultas Ilmu Komputer Universitas Indonesia</h3>
        </div>
        <div class = "break"></div>
        <div class = "d-flex flex-column justify-content-center align-items-center padding-4 full-size">
            <div id = "tujuan-kami" class = "color-1 padding-1 padding-left-2 margin-left-2">
                <h2 id = "tujuan-kami-text" class = "montserrat-regular">Tujuan Kami</h2>
            </div>
            <div id = "tujuan-kami-isi" class="d-flex align-items-center justify-content-center margin-top-4">
                <img id = "gambar" src="{% static 'main/img/tujuanpic.png' %}" alt = "tujuan picture">
                <p id = "deskripsi" class = "montserrat-regular" style = "text-align: justify">
                    Membantu pasien COVID-19 maupun penyandang gejala 
                    agar mendapatkan layanan periksa maupun rawat dengan 
                    tanpa perlu mengkhawatirkan masalah 
                    transportasi
                </p>
            </div>
        </div>
        <div class = "break"></div>
        <h1 id = "kontributor" class = "montserrat-bold margin-bottom-4">Kontributor</h1>
        <div class = "padding-1">
            <div id = "card" class = "d-flex justify-content-center align-items-center">
                <div id = "card-isi" class = "d-flex flex-row justify-content-around align-items-center padding-3 margin-2 color-3">
                    <img id = "card-image" src="{% static 'main/img/pic_andre.png' %}" alt = "andre picture">
                    <div class = "card-text" class = "d-flex flex-column justify-content-center margin-top-3">
                        <p id = "card-text-isi" class = "montserrat-medium">Muhamad Andre Gunawan</p>
                        <p id = "card-text-isi" class = "montserrat-regular">Ilmu Komputer</p>
                    </div>
                </div>
                <div id = "card-isi" class = "d-flex flex-row justify-content-around align-items-center padding-3 margin-2 color-3">
                    <img id = "card-image" src="{% static 'main/img/pic_nana.png' %}" alt = "nana picture">
                    <div class = "card-text" class = "d-flex flex-column justify-content-center margin-top-3">
                        <p id = "card-text-isi" class = "montserrat-medium">Nurdiana Putri</p>
                        <p id = "card-text-isi" class = "montserrat-regular">Sistem Informasi</p>
                    </div>
                </div>
                <div id = "card-isi" class = "d-flex flex-row justify-content-around align-items-center padding-3 margin-2 color-3">
                    <img id = "card-image" src="{% static 'main/img/pic_fauzan.png' %}" alt = "fauzan picture">
                    <div class = "card-text" class = "d-flex flex-column justify-content-center margin-top-3">
                        <p id = "card-text-isi" class = "montserrat-medium">Fauzan Ramadhanto A.P.</p>
                        <p id = "card-text-isi" class = "montserrat-regular">Ilmu Komputer</p>
                    </div>
                </div>
            </div>
            <div id = "card" class = "d-flex justify-content-center align-items-center">
                <div id = "card-isi" class = "d-flex flex-row justify-content-around align-items-center padding-3 margin-2 color-3">
                    <img id = "card-image" src="{% static 'main/img/pic_raffy.png' %}" alt = "raffy picture">
                    <div class = "card-text" class = "d-flex flex-column justify-content-center margin-top-3">
                        <p id = "card-text-isi" class = "montserrat-medium">Muhammad Raffy Suprajeni</p>
                        <p id = "card-text-isi" class = "montserrat-regular">Sistem Informasi</p>
                    </div>
                </div>
                <div id = "card-isi" class = "d-flex flex-row justify-content-around align-items-center padding-3 margin-2 color-3">
                    <img id = "card-image" src="{% static 'main/img/pic_ruly.png' %}" alt = "ruly picture">
                    <div class = "card-text" class = "d-flex flex-column justify-content-center margin-top-3">
                        <p id = "card-text-isi" class = "montserrat-medium">Ruly Achmad Gemilang Gultom</p>
                        <p id = "card-text-isi" class = "montserrat-regular">Sistem Informasi</p>
                    </div>
                </div>
            </div>
        </div>
        <div class = "break"></div>
        <div class = "d-flex flex-row justify-content-between align-items-center padding-4 full-size">
            <button style = "background: none; border: 0px;">
                <a href="{% url 'main:testiform' %}">
                    <img src="{% static "main/svg/tambah_kesan.svg" %}" alt = "Add kesan button">
                </a>
            </button>
            <div class = "color-1 padding-1" style = "padding-right: 2%; padding-left: 10%">
                <h2 class = "montserrat-regular" style = "font-size: 30px;">Testimoni</h2>
            </div>
        </div>
        <div class = 'testimoni-relative-parent'>
            {% if testimonis %}
                {% for testimoni in testimonis %}
                    <div class = 'testimoni-relative-child'>
                        <div class ='testimoni-absolute-profile-img'>
                            <img id="profile-picture" src="{% static 'main/img/default-avatar.jpg'%}">
                        </div>
                        <div class='testimoni-absolute-text'>
                            <b>{{ testimoni.display_name }}</b>
                            <p>{{ testimoni.content }}</p>
                        </div>
                    </div>
                {% endfor %}
            {% endif %}
        </div>
        <br>
    </div>
{% endblock content %}

main/templates/main/home_before.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
  <title>Sehat Covid-19</title>
  <link rel="stylesheet" type="text/css" href="{% static 'main/style.css' %}" />
{% endblock meta %}

{% block content %}
<div class="white d-flex flex-column justify-content-center">
  <div class="d-flex flex-column align-items-center">
    <div class = "home-bg"><img src="{% static 'main/img/halfcircle.png'%}" style="width: 100%; height: 600px;"></div>
    <img id="home-top" class="pos-absolute" src="{% static 'main/img/homepic.png' %}" alt="top picture">
    <h1 id="top-title" class="font-weight-bold pos-absolute">Sehat COVID-19</h1>
    <h3 id="top-caption" class="text-center pos-absolute">Dikembangkan oleh beberapa mahasiswa Fakultas Ilmu Komputer Universitas Indonesia</h2>
  </div>

  <div id="margin-tujuan" class="d-flex flex-column align-items-center">
    <div id="tujuan" class="base-color align-self-start margin2"><h2 class="align-self-start">Tujuan Kami</h2></div>
    <div class="d-flex flex-row align-items-center tujuan-content">
      <img id="tujuan-pic" src="{% static 'main/img/tujuanpic.png' %}" alt="tujuan picture">
      <p id="p-tujuan">Membantu pasien COVID-19 maupun penyandang gejala agar mendapatkan 
        layanan periksa maupun rawat dengan tanpa perlu mengkhawatirkan 
        masalah transportasi
      </p>
    </div>
  </div>

</br></br></br></br></br>

<div class="kontributor-parent-1">
  <div class="kontributor-child" >
    <div class="kontributor-child-img"><img id="profile-img" src="{% static 'main/img/pic_andre.png' %}" alt="andre picture" ></div>
    <div class="kontributor-child-name">
      <p><span class="font-weight-bold">Muhamad Andre Gunawan</span>
      </br>
      <p>Ilmu Komputer</p>
    </div>
  </div>
  <div class="kontributor-child" >
    <div class="kontributor-child-img"><img id="profile-img" src="{% static 'main/img/pic_nana.png' %}" alt="nana picture" ></div>
    <div class="kontributor-child-name">
      <p><span class="font-weight-bold">Nurdiana Putri</span>
      </br>
      <p>Sistem Informasi</p>
    </div>
  </div>
  <div class="kontributor-child" >
    <div class="kontributor-child-img"><img id="profile-img" src="{% static 'main/img/pic_fauzan.png' %}" alt="fauzan picture" ></div>
    <div class="kontributor-child-name">
      <p><span class="font-weight-bold">Fauzan Ramadhanto A.P.</span>
      </br>
      <p>Ilmu Komputer</p>
    </div>
  </div>
</div>
<div class="kontributor-parent-2">
  <div class="kontributor-child" id="test">
    <div class="kontributor-child-img"><img id="profile-img" src="{% static 'main/img/pic_raffy.png' %}" alt="raffy picture" ></div>
    <div class="kontributor-child-name">
      <p><span class="font-weight-bold">Muhamad Raffy Suprajeni</span>
      </br>
      <p>Sistem Informasi</p>
    </div>
  </div>
  <div class="kontributor-child">
    <div class="kontributor-child-img"><img id="profile-img" src="{% static 'main/img/pic_ruly.png' %}" alt="ruly picture" ></div>
    <div class="kontributor-child-name">
      <p><span class="font-weight-bold"></span>Ruly Achmad Gemilang G.</span>
      </br>
      <p>Ilmu Komputer</p>
    </div>
  </div>
</div>

</br>
</br>
</br></br></br></br></br></br>
  

  <div class="testimoni">
    <a href="{% url 'main:testiform' %}"><button class="kesan">Berikan kesan anda</button></a>
    <div class="testimoni-textbox"><h1 class = "testimoni-textbox">Testimoni</h1></div>
  </div>
</br>
</br>
  <div class = 'testimoni-relative-parent'>
    {% if testimonis %}
      {% for testimoni in testimonis %}
        <div class = 'testimoni-relative-child'>
          <div class ='testimoni-absolute-profile-img'><img id="profile-picture" src="{% static 'main/img/default-avatar.jpg'%}"></div>
          <div class='testimoni-absolute-text'>
            <b>{{ testimoni.display_name }}</b>
            <p>{{ testimoni.content }}</p>
          </div>
          
        </div>
      {% endfor %}
    {% endif %}
  </div>
</br>

{% endblock content %}

main/templates/main/testiform.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
  
<title>Form Testimoni</title>
<link rel="stylesheet" type="text/css" href="{% static 'main/style.css' %}" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
{% endblock meta %}

{% block content %}
<div class = "testimoni-form" style="width: 80%;">
    <div class = "testimoni-form-background"><img src="{% static 'main/img/bluebackground.jpg'%}" style="width: 100%; height: 100%;"></div>
    <div class="testimoni-form">
        <h1 class = "testimoni-form" style="font-size:4.5vw;">Form Kesan</h1>
        <div class = "line"></div>
        <p class = "testimoni-form" style="font-size:1.3vw;">Ceritakan pengalaman Anda dalam menggunakan layanan kami. Kami sangat menghargai setiap kesan yang Anda berikan</p>
    </br>
    <form action="save" method="POST">
        {% csrf_token %}
        {{input_form.as_p}}
      <input type = "submit" value="Submit">
      </form>
    </div>
</div>
{% endblock content %}

main/templates/main/testiform_acc.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Form Testimoni</title>
<link rel="stylesheet" type="text/css" href="{% static 'main/style.css' %}" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
{% endblock meta %}

{% block content %}
<div class = "testimoni-form" style="width: 80%;">
    <div class = "testimoni-form-background"><img src="{% static 'main/img/bluebackground.jpg'%}" style="width: 100%; height: 100%;"></div>
    <div class="testimoni-form-2">
        <h1 class = "testimoni-form" style="font-size:3vw;">Form Kesan</h1>
        <div class = "line"></div>
    </br>
        <p style="font-size:2.5vw;">Terimakasih atas tanggapan anda!</p>
        <a href="{% url 'main:testiform' %}"><button class ='kesan' style="font-size:1.2vw;">Tulis tanggapan lagi</button></a>
    </div>
    
</div>
{% endblock content %}